Bug 924682 - Review Request: gimp-elsamuko - Elsamukos script collection for the GIMP
Review Request: gimp-elsamuko - Elsamukos script collection for the GIMP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DESIGN-SW
  Show dependency treegraph
 
Reported: 2013-03-22 06:34 EDT by Palle Ravn
Modified: 2015-01-17 15:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-03 10:11:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Palle Ravn 2013-03-22 06:34:16 EDT
Spec URL: http://gimp-elsamuko.zom.dk/gimp-elsamuko.spec
SRPM URL: http://gimp-elsamuko.zom.dk/gimp-elsamuko-22-1.fc18.src.rpm

Description: Script collection for the GIMP, requested by the Fedora design team.

Fedora Account System Username: paller
Comment 1 Antonio Trande 2013-05-01 14:07:47 EDT
Hi.

There is not any License file in source archive (http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text). 
Have you already requested the inclusion to upstream ?
Comment 2 Palle Ravn 2013-05-07 02:22:33 EDT
I have not done that yet.
Comment 3 Christopher Meng 2013-11-20 06:36:32 EST
v24 is out!
Comment 4 Christopher Meng 2013-12-19 05:55:29 EST
NEWS?
Comment 5 Palle Ravn 2013-12-19 07:15:22 EST
SPEC updated and version upped to 24, files still located at gimp-elsamuko.zom.dk
Comment 6 Christopher Meng 2013-12-20 22:00:46 EST
1. You need to request a license file from upstream and ship it in the tarball(you can ask upstream to regenerate one). Better not add a separate license file by yourself instead.

2. %{_datarootdir} -> %{_datadir}

3. Add a comment in %build like "Nothing to build" to indicate that no need to build anything here.

4. If you don't have any special need, you should remove threaded blank lines.

Others are fine.
Comment 7 Palle Ravn 2014-01-03 06:13:35 EST
(In reply to Christopher Meng from comment #6)
> 1. You need to request a license file from upstream and ship it in the
> tarball

I have emailed Samuel Elsamuko and awaiting his response.

> 2. %{_datarootdir} -> %{_datadir}

Done.

> 3. Add a comment in %build like "Nothing to build" to indicate that no need
> to build anything here.

I find it self explaining, but added it anyway.

> 4. If you don't have any special need, you should remove threaded blank
> lines.

It's a topic for endless debate. I use 2 empty lines in all my SPEC files, and I will continue doing so. "All RPM sections, starting from %description, should be separated by two empty lines." -cite http://fedoraproject.org/wiki/PeterGordon/SpecFormattingGuidelines

The new SPEC and RPM files are hosted at gimp-elsamuko.zom.dk
Comment 8 Christopher Meng 2014-01-03 06:18:54 EST
(In reply to Palle Ravn from comment #7)
> (In reply to Christopher Meng from comment #6)
> > 1. You need to request a license file from upstream and ship it in the
> > tarball
> 
> I have emailed Samuel Elsamuko and awaiting his response.

Fine.

> > 2. %{_datarootdir} -> %{_datadir}
> 
> Done.

Done?

%{_datarootdir}/gimp/2.0/scripts/*.scm

> > 4. If you don't have any special need, you should remove threaded blank
> > lines.
> 
> It's a topic for endless debate. I use 2 empty lines in all my SPEC files,
> and I will continue doing so. "All RPM sections, starting from %description,
> should be separated by two empty lines." -cite
> http://fedoraproject.org/wiki/PeterGordon/SpecFormattingGuidelines
> 
> The new SPEC and RPM files are hosted at gimp-elsamuko.zom.dk

Peter is not god or standard as far as I know. But I never force you to change the style, I only wanted you to remove these:

Source0:        https://sites.google.com/site/elsamuko/gimp/elsamuko.zip

Requires:       gimp

BuildArch:      noarch

--------------->
Source0:        https://sites.google.com/site/elsamuko/gimp/elsamuko.zip
Requires:       gimp
BuildArch:      noarch

----------------
PACKAGE APPROVED.

Please remember to add COPYING file as %doc when upstream releases new tarball. *This is a MUST*.
Comment 9 Christopher Meng 2014-01-03 06:19:25 EST
Also, it's better to leave a blank line between each changelog.
Comment 10 Palle Ravn 2014-01-03 09:15:44 EST
(In reply to Christopher Meng from comment #8)
> > > 2. %{_datarootdir} -> %{_datadir}
> > 
> > Done.
> 
> Done?
> 
> %{_datarootdir}/gimp/2.0/scripts/*.scm

I missed that one, sorry for that.

> > > 4. If you don't have any special need, you should remove threaded blank
> > > lines.
> > 
> > It's a topic for endless debate. I use 2 empty lines in all my SPEC files,
> > and I will continue doing so. "All RPM sections, starting from %description,
> > should be separated by two empty lines." -cite
> > http://fedoraproject.org/wiki/PeterGordon/SpecFormattingGuidelines
> > 
> > The new SPEC and RPM files are hosted at gimp-elsamuko.zom.dk
> 
> Peter is not god or standard as far as I know. But I never force you to
> change the style, I only wanted you to remove these:
> 
> Source0:        https://sites.google.com/site/elsamuko/gimp/elsamuko.zip
> 
> Requires:       gimp
> 
> BuildArch:      noarch
> 
> --------------->
> Source0:        https://sites.google.com/site/elsamuko/gimp/elsamuko.zip
> Requires:       gimp
> BuildArch:      noarch
> 
> ----------------

I misunderstood that one. I will remove the empty lines.

> Please remember to add COPYING file as %doc when upstream releases new
> tarball. *This is a MUST*.

I made a comment in the %files section to remember this.

(In reply to Christopher Meng from comment #9)
> Also, it's better to leave a blank line between each changelog.

I will start doing that.
Comment 11 Palle Ravn 2014-01-03 09:23:37 EST
New Package SCM Request
=======================
Package Name: gimp-elsamuko
Short Description: Script collection for the GIMP
Owners: paller
Branches: f19 f20
InitialCC:
Comment 12 Gwyn Ciesla 2014-01-03 09:27:29 EST
Git done (by process-git-requests).
Comment 13 Fedora Update System 2014-01-03 10:18:44 EST
gimp-elsamuko-24-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gimp-elsamuko-24-2.fc20
Comment 14 Fedora Update System 2014-01-03 10:18:56 EST
gimp-elsamuko-24-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gimp-elsamuko-24-2.fc19
Comment 15 Fedora Update System 2014-01-12 21:56:29 EST
gimp-elsamuko-24-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fedora Update System 2014-01-12 21:59:07 EST
gimp-elsamuko-24-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 17 Luya Tshimbalanga 2015-01-17 15:30:36 EST
Package Change Request
======================
Package Name: 
New Branches: 
Owners: 
InitialCC: design-sw

Add to Design Software group

Note You need to log in before you can comment on or make changes to this bug.